.tiles-component {
  padding: 24px;
  border-radius: 24px;
  border: 1px solid;
  border-color: var(--first-color, var(--color-primary-canopy));
  background-color: var(--second-color, transparent);
  overflow: hidden;
  background-size: cover;
  background-position: top right;
  position: relative;
}

.tiles-component > .titles-background {
  position: absolute;
  left: 0;
  right: 0;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.tiles-component > .titles-background img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.tiles-component > .tiles-component--inner {
  max-width: 300px;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  position: relative;
  z-index: 2;
}
.tiles-component > .titles-background + .tiles-component--inner {
  color: var(--first-color);
}
.tiles-component.tiles-align-left > .tiles-component--inner {
  margin-inline-end: auto;
}

.tiles-component.tiles-align-center > .tiles-component--inner {
  align-items: center;
  justify-content: center;
  margin-inline-start: auto;
  margin-inline-end: auto;
}

.tiles-component.tiles-align-right > .tiles-component--inner {
  margin-inline-start: auto;
}

.tiles-component.tiles-normal {
  min-height: 200px;
}

.tiles-component.tiles-half,
.tiles-component.tiles-full {
  min-height: 280px;
}

.tiles-component .tiles-title {
  color: var(--first-color, var(--color-primary-canopy));
}

.tiles-component.tiles-small {
  padding: 18px;
  border: none;
  min-height: 140px;
  margin: 2px;
}

.tiles-component.tiles-normal:hover {
  box-shadow: inset 0 0 0 3px var(--first-color, var(--color-primary-canopy));
  border-color: transparent;
}

.tiles-component.tiles-small:hover {
  box-shadow: inset 0 0 0 6px rgb(0 0 0 / 25%);
}

.tiles-component .tiles-component--inner {
  transition: 0.3s;
}

.tiles-component:hover .tiles-component--inner {
  transform: translateX(8px);
  transition: 0.3s;
}

.tiles-component:after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: 1;
  border-radius: 24px;
}
.paragraph--type--tiles.tiles-component .tiles-component__icon {
  color: var(--first-color, var(--color-primary-canopy));
}
.paragraph--type--tiles.tiles-component .tiles-component__icon svg {
  max-height: 90px;
  width: auto;
}
.paragraph--type--tiles.tiles-component .tiles-component__icon img {
  max-height: 90px;
  height: 5.625rem;
  max-height: 5.625rem;
  width: auto;
}

@media screen and (min-width: 768px) {
  .tiles-component.tiles-half,
  .tiles-component.tiles-full {
    padding: 40px;
  }
}

@media screen and (min-width: 992px) {
  .tiles-component.tiles-haft,
  .tiles-component.tiles-full {
    padding: 40px;
  }
}
